## GgitPushOptions GgitPushOptions |

## Functions

GgitPushOptions * | ggit_push_options_new ()
gint | ggit_push_options_get_parallelism ()
void | ggit_push_options_set_parallelism ()

## Properties

gint | parallelism | Read / Write / Construct

## Types and Values

#define | GGIT_TYPE_PUSH_OPTIONS
struct | GgitPushOptionsClass
| GgitPushOptions

## Object Hierarchy

        GObject
        ╰── GgitPushOptions

## Description

## Functions

### ggit_push_options_new ()

    GgitPushOptions *
    ggit_push_options_new (void);

Create a new push options object.

#### Returns

a GgitPushOptions or `NULL`.

[transfer full][nullable]

### ggit_push_options_get_parallelism ()

    gint
    ggit_push_options_get_parallelism (GgitPushOptions *options);

Get the number of parallel threads to use when creating the pack file to push. The special value 0 indicates that the number of threads will be automatically detected.

#### Parameters

options | a GgitPushOptions. |

#### Returns

the number of parallel threads, or 0 for auto-detect.

### ggit_push_options_set_parallelism ()

    void
    ggit_push_options_set_parallelism (GgitPushOptions *options,
                                       gint parallelism);

Set the number of parallel threads to use when creating the pack file to push. The special value 0 can be specified for `parallelism` indicating that the number of threads will be automatically detected.

#### Parameters

options | a GgitPushOptions. |
parallelism | the number of threads, or 0 for auto-detect. |

## Types and Values

### GGIT_TYPE_PUSH_OPTIONS

    #define GGIT_TYPE_PUSH_OPTIONS (ggit_push_options_get_type ())

### struct GgitPushOptionsClass

    struct GgitPushOptionsClass {
    	GObjectClass parent_class;
    };

### GgitPushOptions

    typedef struct _GgitPushOptions GgitPushOptions;

Represents a git push options.

## Property Details

### The `“parallelism”` property

      “parallelism”              gint

Parallelism.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0